Bug #71443 MySQL Fabric doesn't support --help, --version, help or version
Submitted: 21 Jan 2014 11:43 Modified: 21 Jan 2014 11:48
Reporter: Jan Kneschke Email Updates:
Status: Duplicate Impact on me:
None 
Category:MySQL Fabric Severity:S3 (Non-critical)
Version:1.4.1 OS:Any
Assigned to: CPU Architecture:Any

[21 Jan 2014 11:43] Jan Kneschke
Description:
MySQL Fabric doesn't provide a common way to get help or version-info.

* no --help nor --version
* no version command
* the help command seems to exist, but gives no user-friendly message

How to repeat:
$ ./mysqlfabric
Usage: %fabric <group> <cmd> [<option> ...] arg ...

mysqlfabric: error: No command was defined.

$ ./mysqlfabric help
Usage: %fabric <group> <cmd> [<option> ...] arg ...

mysqlfabric: error: Error (dispatch() takes exactly 3 arguments (1 given)). Wrong number of parameters were provided for command (manage help).

$ ./mysqlfabric version
Usage: %fabric <group> <cmd> [<option> ...] arg ...

mysqlfabric: error: Wrong syntax.

$ ./mysqlfabric --help
Usage: %fabric <group> <cmd> [<option> ...] arg ...

mysqlfabric: error: Wrong syntax.

$ ./mysqlfabric --version
Usage: %fabric <group> <cmd> [<option> ...] arg ...

mysqlfabric: error: Wrong syntax.

Suggested fix:
provide a way to the user to get help using the format all other unix-utilities use.
[21 Jan 2014 11:48] Mats Kindahl
Verified as described, but this is a duplicate of BUG#71441.